# Interface BaseDataSourceMetadata

interface BaseDataSourceMetadata {
id: string;
restore?: boolean;
}

#### Hierarchy (view full)

- BaseDefinitionMetadata
  - BaseDataSourceMetadata
    - ObservableDataSourceMetadata
    - PipeDataSourceMetadata
    - StaticDataSourceMetadata

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:54

#####
Index

### Properties

id
restore?

## Properties

### id

id: string

Inherited from BaseDefinitionMetadata.id

- Defined in packages/angular/definition/src/lib/definition.metadata.ts:9

### `Optional` restore

restore?: boolean

Indicates weather the data source should restore the last value from local storage

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:58